from django.http import HttpResponse
from django.shortcuts import render
from .models import Author, Books

from django.views.generic.list import ListView
from django.views.generic.detail import DetailView

from django.views.generic.edit import CreateView, UpdateView

def index(request):
    return render(request, "bookshelf/home.html",)


class AuthorListView(ListView):
    template_name = 'bookshelf/authors.html'
    model = Author

class AuthorDetailView(DetailView):
    template_name = 'bookshelf/authors_details.html'
    model = Author

class AuthorCreateView(CreateView):
    template_name = 'bookshelf/add-author.html'
    model = Author
    fields = '__all__'

class AuthorUpdateView(UpdateView):
    template_name = 'bookshelf/edit-author.html'
    model = Author
    fields = '__all__'


class BookListView(ListView):
    template_name = 'bookshelf/books.html'
    model = Books

class BookDetailView(DetailView):
    template_name = 'bookshelf/book_details.html'
    model = Books

class BookCreateView(CreateView):
    template_name = 'bookshelf/add-book.html'
    model = Books
    fields = '__all__'

class BookUpdateView(UpdateView):
    template_name = 'bookshelf/edit-book.html'
    model = Books
    fields = '__all__'


